/*
 * This software was originally developed by Arnaud Caigniet, Gregory Donias, Jean-Claude Dufourd,
 * Cdric Ggout, Erwann Gouesbet, Elouan LeCoq, Gaetan Lefevre, Nicolas Pierre, Cristian Spiescu
 * and Julien Tranchant (Streamezzo), in the course of development of the ISO/IEC 14496-20
 * (Lightweight Application Scene Representation -LASeR- and Simple Aggregation Format
 * -SAF-) standard for reference purposes and its performance may not have been optimized.
 * This software module is an implementation of one or more tools as specified by the
 * LASeR and SAF standard.
 * ISO/IEC gives users free license to this software module or modifications thereof
 * for use in products claiming conformance to audiovisual and image-coding related
 * ITU Recommendations and/or ISO/IEC International Standards.
 * ISO/IEC gives users the same free license to this software module or modifications
 * thereof for research purposes and further ISO/IEC standardisation.
 * Those intending to use this software module in products are advised that its use may
 * infringe existing patents. ISO/IEC have no liability for use of this software module
 * or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual and
 * image-coding related ITU Recommendations and/or ISO/IEC International Standards.
 * Streamezzo retains full right to modify and use the code for its own purpose,
 * assign or donate the code to a third party and to inhibit third parties from using
 * the code for products that do not conform to audiovisual and image-coding related ITU
 * Recommendations and/or ISO/IEC International Standards.
 * This copyright notice must be included in all copies or derivative works.
 * Copyright (c) ISO/IEC 2004-2007.
 */
package iso.mpeg.streamezzo.exec;

import iso.mpeg.streamezzo.util.Scene;
import iso.mpeg.streamezzo.sdl.NameSpace;
import iso.mpeg.streamezzo.io.XMLParserImpl;
import iso.mpeg.streamezzo.io.XMLWriter;

import java.io.FileReader;
import java.io.PrintWriter;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Vector;

import org.xml.sax.SAXException;

public class xml2xml {
    public static void main(String args[]) throws Exception {
        if (args.length != 2) {
            System.out.println("xml2xml <in> <out>");
            return;
        }
        exec(args[0], args[1], "./");
    }

    public static void exec(String input, String output, String dir) throws IOException, SAXException {
        XMLParserImpl xp = new XMLParserImpl();
        FileReader fr = new FileReader(input);
        NameSpace.nameSpaces = new Vector();
        Scene scene = new Scene(input, dir);
        xp.parse(fr, scene);
        fr.close();
        XMLWriter xw = new XMLWriter();
        PrintWriter pw = new PrintWriter(new FileOutputStream(output), true);
        xw.write(pw, scene);
        pw.close();
    }
}
