/*
 * This software was originally developed by Arnaud Caigniet, Gregory Donias, Jean-Claude Dufourd,
 * Cdric Ggout, Erwann Gouesbet, Elouan LeCoq, Gaetan Lefevre, Nicolas Pierre, Cristian Spiescu
 * and Julien Tranchant (Streamezzo), in the course of development of the ISO/IEC 14496-20
 * (Lightweight Application Scene Representation -LASeR- and Simple Aggregation Format
 * -SAF-) standard for reference purposes and its performance may not have been optimized.
 * This software module is an implementation of one or more tools as specified by the
 * LASeR and SAF standard.
 * ISO/IEC gives users free license to this software module or modifications thereof
 * for use in products claiming conformance to audiovisual and image-coding related
 * ITU Recommendations and/or ISO/IEC International Standards.
 * ISO/IEC gives users the same free license to this software module or modifications
 * thereof for research purposes and further ISO/IEC standardisation.
 * Those intending to use this software module in products are advised that its use may
 * infringe existing patents. ISO/IEC have no liability for use of this software module
 * or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual and
 * image-coding related ITU Recommendations and/or ISO/IEC International Standards.
 * Streamezzo retains full right to modify and use the code for its own purpose,
 * assign or donate the code to a third party and to inhibit third parties from using
 * the code for products that do not conform to audiovisual and image-coding related ITU
 * Recommendations and/or ISO/IEC International Standards.
 * This copyright notice must be included in all copies or derivative works.
 * Copyright (c) ISO/IEC 2004-2007.
 */
package iso.mpeg.streamezzo.laser;

import iso.mpeg.streamezzo.io.Parent;
import iso.mpeg.streamezzo.util.Visitable;
import iso.mpeg.streamezzo.util.AllowChildren;
import iso.mpeg.streamezzo.sdl.QName;
import iso.mpeg.streamezzo.sdl.privAttr;

import java.util.Vector;

public abstract class X implements Parent, Visitable, AllowChildren {
    public int id = Integer.MIN_VALUE;
    public String classe = null;
    public String base = null;
    public String lang = null;
    public int space = Integer.MIN_VALUE;
    public privAttr[] privateAttributes;
    public java.util.Vector child;
    public boolean externalResourcesRequired = false;
    public int navPrev = Integer.MIN_VALUE;
    public int navNext = Integer.MIN_VALUE;
    public int navUp = Integer.MIN_VALUE;
    public int navRight = Integer.MIN_VALUE;
    public int navLeft = Integer.MIN_VALUE;
    public int navDown = Integer.MIN_VALUE;
    public int navUpRight = Integer.MIN_VALUE;
    public int navUpLeft = Integer.MIN_VALUE;
    public int navDownRight = Integer.MIN_VALUE;
    public int navDownLeft = Integer.MIN_VALUE;
    public int focusable = Integer.MIN_VALUE;
    public String requiredFonts; 
    public int x = Integer.MIN_VALUE; // this is for rectClip, v2 extension
    public int y = Integer.MIN_VALUE; // this is for rectClip, v2 extension
    public int active = Integer.MIN_VALUE;

    public void addChild(Object o) {
        if (child == null) child = new Vector();
        if (o instanceof String) {
            throw new RuntimeException("program error on "+this);
        } else if (o instanceof Vector) {
            child.addAll((Vector)o);
        } else {
            child.addElement(o);
        }
    }
}
