/*
 * This software was originally developed by Arnaud Caigniet, Gregory Donias, Jean-Claude Dufourd,
 * Cdric Ggout, Erwann Gouesbet, Elouan LeCoq, Gaetan Lefevre, Nicolas Pierre, Cristian Spiescu
 * and Julien Tranchant (Streamezzo), in the course of development of the ISO/IEC 14496-20
 * (Lightweight Application Scene Representation -LASeR- and Simple Aggregation Format
 * -SAF-) standard for reference purposes and its performance may not have been optimized.
 * This software module is an implementation of one or more tools as specified by the
 * LASeR and SAF standard.
 * ISO/IEC gives users free license to this software module or modifications thereof
 * for use in products claiming conformance to audiovisual and image-coding related
 * ITU Recommendations and/or ISO/IEC International Standards.
 * ISO/IEC gives users the same free license to this software module or modifications
 * thereof for research purposes and further ISO/IEC standardisation.
 * Those intending to use this software module in products are advised that its use may
 * infringe existing patents. ISO/IEC have no liability for use of this software module
 * or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual and
 * image-coding related ITU Recommendations and/or ISO/IEC International Standards.
 * Streamezzo retains full right to modify and use the code for its own purpose,
 * assign or donate the code to a third party and to inhibit third parties from using
 * the code for products that do not conform to audiovisual and image-coding related ITU
 * Recommendations and/or ISO/IEC International Standards.
 * This copyright notice must be included in all copies or derivative works.
 * Copyright (c) ISO/IEC 2004-2007.
 */
package iso.mpeg.streamezzo.laser;

import iso.mpeg.streamezzo.io.IOUtils;
import iso.mpeg.streamezzo.sdl.UpdateValue;
import iso.mpeg.streamezzo.sdl.Attribute;
import iso.mpeg.streamezzo.util.Visitor;

public class XInsert extends Uc {
    public Attribute attributeName = null;
    public int index = Integer.MIN_VALUE;
    public int ref = Integer.MIN_VALUE;
    public UpdateValue value;

    public void addChild(Object o) {
        if (attributeName == null || !attributeName.isDefined()) {
            if (o instanceof String) return;
            child = o;
        } else if (o instanceof String) {
            String s = (String)o;
            if (attributeName != null && attributeName.isLaser && attributeName.attributeIndex == attr_textContent) {
                if (!s.equals("\n")) {
                    XtextContent tc = new XtextContent();
                    tc.addChild(o);
                    child = tc;
                }
            } else {
                if (!s.equals("\n")) {
                    throw new RuntimeException("Insert does not allow text children when attributeName is "+
                        (attributeName.isLaser ? IOUtils.updatableStrings[attributeName.attributeIndex] : attributeName.attr.name));
                }
            }
        } else {
            child = o;
        }
    }

    public void visit(Visitor v, Object o) throws Exception {
        v.visitXInsert(this, o);
    }
}
