/*
 * This software was originally developed by Arnaud Caigniet, Gregory Donias, Jean-Claude Dufourd,
 * Cdric Ggout, Erwann Gouesbet, Elouan LeCoq, Gaetan Lefevre, Nicolas Pierre, Cristian Spiescu
 * and Julien Tranchant (Streamezzo), in the course of development of the ISO/IEC 14496-20
 * (Lightweight Application Scene Representation -LASeR- and Simple Aggregation Format
 * -SAF-) standard for reference purposes and its performance may not have been optimized.
 * This software module is an implementation of one or more tools as specified by the
 * LASeR and SAF standard.
 * ISO/IEC gives users free license to this software module or modifications thereof
 * for use in products claiming conformance to audiovisual and image-coding related
 * ITU Recommendations and/or ISO/IEC International Standards.
 * ISO/IEC gives users the same free license to this software module or modifications
 * thereof for research purposes and further ISO/IEC standardisation.
 * Those intending to use this software module in products are advised that its use may
 * infringe existing patents. ISO/IEC have no liability for use of this software module
 * or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual and
 * image-coding related ITU Recommendations and/or ISO/IEC International Standards.
 * Streamezzo retains full right to modify and use the code for its own purpose,
 * assign or donate the code to a third party and to inhibit third parties from using
 * the code for products that do not conform to audiovisual and image-coding related ITU
 * Recommendations and/or ISO/IEC International Standards.
 * This copyright notice must be included in all copies or derivative works.
 * Copyright (c) ISO/IEC 2004-2007.
 */
package iso.mpeg.streamezzo.laser;

import iso.mpeg.streamezzo.sdl.Matrix;
import iso.mpeg.streamezzo.sdl.Point;
import iso.mpeg.streamezzo.sdl.Attribute;
import iso.mpeg.streamezzo.util.Visitor;

public class Xellipse extends XpropElem implements Ibasic, Ilocatable {
    public int cx = Integer.MIN_VALUE;
    public int cy = Integer.MIN_VALUE;
    public String requiredExtensions;
    public byte[] requiredFeatures;
    public String requiredFormats;
    public int rotation = Integer.MIN_VALUE;
    public int rx = Integer.MIN_VALUE;
    public int ry = Integer.MIN_VALUE;
    public Point scale;
    public String systemLanguage;
    public Matrix transform;
    public Point translation;
    public static final Attribute attributeName = new Attribute();

    public String getRequiredExtensions() {
        return requiredExtensions;
    }

    public void setRequiredExtensions(String requiredExtensions) {
        this.requiredExtensions = requiredExtensions;
    }

    public String getRequiredFormats() {
        return requiredFormats;
    }

    public void setRequiredFormats(String requiredFormats) {
        this.requiredFormats = requiredFormats;
    }

    public byte[] getRequiredFeatures() {
        return requiredFeatures;
    }

    public void setRequiredFeatures(byte[] requiredFeatures) {
        this.requiredFeatures = requiredFeatures;
    }

    public String getSystemLanguage() {
        return systemLanguage;
    }

    public void setSystemLanguage(String systemLanguage) {
        this.systemLanguage = systemLanguage;
    }

    public int getRotation() {
        return rotation;
    }

    public void setRotation(int rotation) {
        this.rotation = rotation;
    }

    public Point getScale() {
        return scale;
    }

    public void setScale(Point scale) {
        this.scale = scale;
    }

    public Matrix getTransform() {
        return transform;
    }

    public void setTransform(Matrix transform) {
        this.transform = transform;
    }

    public Point getTranslation() {
        return translation;
    }

    public void setTranslation(Point translation) {
        this.translation = translation;
    }

    public void visit(Visitor v, Object o) throws Exception {
        v.visitXellipse(this, o);
    }
}
