/*
 * This software was originally developed by Arnaud Caigniet, Gregory Donias, Jean-Claude Dufourd,
 * Cdric Ggout, Erwann Gouesbet, Elouan LeCoq, Gaetan Lefevre, Nicolas Pierre, Cristian Spiescu
 * and Julien Tranchant (Streamezzo), in the course of development of the ISO/IEC 14496-20
 * (Lightweight Application Scene Representation -LASeR- and Simple Aggregation Format
 * -SAF-) standard for reference purposes and its performance may not have been optimized.
 * This software module is an implementation of one or more tools as specified by the
 * LASeR and SAF standard.
 * ISO/IEC gives users free license to this software module or modifications thereof
 * for use in products claiming conformance to audiovisual and image-coding related
 * ITU Recommendations and/or ISO/IEC International Standards.
 * ISO/IEC gives users the same free license to this software module or modifications
 * thereof for research purposes and further ISO/IEC standardisation.
 * Those intending to use this software module in products are advised that its use may
 * infringe existing patents. ISO/IEC have no liability for use of this software module
 * or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual and
 * image-coding related ITU Recommendations and/or ISO/IEC International Standards.
 * Streamezzo retains full right to modify and use the code for its own purpose,
 * assign or donate the code to a third party and to inhibit third parties from using
 * the code for products that do not conform to audiovisual and image-coding related ITU
 * Recommendations and/or ISO/IEC International Standards.
 * This copyright notice must be included in all copies or derivative works.
 * Copyright (c) ISO/IEC 2004-2007.
 */

package iso.mpeg.streamezzo.laser;

import iso.mpeg.streamezzo.util.Visitor;

public class XfontFace extends X {
    public int accentHeight = Integer.MIN_VALUE;
    public int alphabetic = Integer.MIN_VALUE;
    public int ascent = Integer.MIN_VALUE;
    public String bbox = null;
    public int capHeight = Integer.MIN_VALUE;
    public int descent = Integer.MIN_VALUE;
    public String fontFamily = null;
    public String fontStretch = null;
    public String fontStyle = null;
    public String fontVariant = null;
    public String fontWeight = null;
    public int hanging = Integer.MIN_VALUE;
    public int ideographic = Integer.MIN_VALUE;
    public int mathematical = Integer.MIN_VALUE;
    public int overlinePosition = Integer.MIN_VALUE;
    public int overlineThickness = Integer.MIN_VALUE;
    public String panose1 = null;
    public int slope = Integer.MIN_VALUE;
    public int stemh = Integer.MIN_VALUE;
    public int stemv = Integer.MIN_VALUE;
    public int strikethroughPosition = Integer.MIN_VALUE;
    public int strikethroughThickness = Integer.MIN_VALUE;
    public int underlinePosition = Integer.MIN_VALUE;
    public int underlineThickness = Integer.MIN_VALUE;
    public String unicodeRange = null;
    public int unitsPerEm = Integer.MIN_VALUE;
    public String widths = null;
    public int xHeight = Integer.MIN_VALUE;

    public void visit(Visitor v, Object o) throws Exception {
        v.visitFontFace(this, o);
    }
}
