/*
 * This software was originally developed by Arnaud Caigniet, Gregory Donias, Jean-Claude Dufourd,
 * Cdric Ggout, Erwann Gouesbet, Elouan LeCoq, Gaetan Lefevre, Nicolas Pierre, Cristian Spiescu
 * and Julien Tranchant (Streamezzo), in the course of development of the ISO/IEC 14496-20
 * (Lightweight Application Scene Representation -LASeR- and Simple Aggregation Format
 * -SAF-) standard for reference purposes and its performance may not have been optimized.
 * This software module is an implementation of one or more tools as specified by the
 * LASeR and SAF standard.
 * ISO/IEC gives users free license to this software module or modifications thereof
 * for use in products claiming conformance to audiovisual and image-coding related
 * ITU Recommendations and/or ISO/IEC International Standards.
 * ISO/IEC gives users the same free license to this software module or modifications
 * thereof for research purposes and further ISO/IEC standardisation.
 * Those intending to use this software module in products are advised that its use may
 * infringe existing patents. ISO/IEC have no liability for use of this software module
 * or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual and
 * image-coding related ITU Recommendations and/or ISO/IEC International Standards.
 * Streamezzo retains full right to modify and use the code for its own purpose,
 * assign or donate the code to a third party and to inhibit third parties from using
 * the code for products that do not conform to audiovisual and image-coding related ITU
 * Recommendations and/or ISO/IEC International Standards.
 * This copyright notice must be included in all copies or derivative works.
 * Copyright (c) ISO/IEC 2004-2007.
 */
package iso.mpeg.streamezzo.laser;

import iso.mpeg.streamezzo.laser.X;
import iso.mpeg.streamezzo.laser.X;


public abstract class XpropElem extends X implements Idpv {
    public int audio_level = Integer.MIN_VALUE;
    public int color = Integer.MIN_VALUE;
    public int color_rendering = Integer.MIN_VALUE;
    public int display = Integer.MIN_VALUE;
    public int display_align = Integer.MIN_VALUE;
    public int fill = Integer.MIN_VALUE;
    public int fill_opacity = Integer.MIN_VALUE;
    public int fill_rule = Integer.MIN_VALUE;
    public String font_family;
    public int font_size = Integer.MIN_VALUE;
    public int font_style = Integer.MIN_VALUE;
    public int text_decoration = Integer.MIN_VALUE;
    public int font_variant = Integer.MIN_VALUE;
    public int font_weight = Integer.MIN_VALUE;
    public int image_rendering = Integer.MIN_VALUE;
    public int line_increment = Integer.MIN_VALUE;
    public int pointer_events = Integer.MIN_VALUE;
    public int shape_rendering = Integer.MIN_VALUE;
    public int text_anchor = Integer.MIN_VALUE;
    public int text_rendering = Integer.MIN_VALUE;
    public int vector_effect = Integer.MIN_VALUE;
    public int visibility = Integer.MIN_VALUE;
    public int stop_color = Integer.MIN_VALUE;
    public int stop_opacity = Integer.MIN_VALUE;
    public int solid_color = Integer.MIN_VALUE;
    public int solid_opacity = Integer.MIN_VALUE;
    public int stroke = Integer.MIN_VALUE;
    public int[] stroke_dasharray;
    public int stroke_dashoffset = Integer.MIN_VALUE;
    public int stroke_linecap = Integer.MIN_VALUE;
    public int stroke_linejoin = Integer.MIN_VALUE;
    public int stroke_miterlimit = Integer.MIN_VALUE;
    public int stroke_opacity = Integer.MIN_VALUE;
    public int stroke_width = Integer.MIN_VALUE;
    public int viewport_fill = Integer.MIN_VALUE;
    public int viewport_fill_opacity = Integer.MIN_VALUE;
    public int overflow = Integer.MIN_VALUE;
    public int focusHighlight = Integer.MIN_VALUE;

    public int getDisplay() {
        return display;
    }

    public void setDisplay(int display) {
        this.display = display;
    }

    public int getPointer_events() {
        return pointer_events;
    }

    public void setPointer_events(int pointer_events) {
        this.pointer_events = pointer_events;
    }

    public int getVisibility() {
        return visibility;
    }

    public void setVisibility(int visibility) {
        this.visibility = visibility;
    }

    protected XpropElem clone(XpropElem clone) {
        clone.audio_level = audio_level;
        clone.color = color;
        clone.color_rendering = color_rendering;
        clone.display = display;
        clone.display_align = display_align;
        clone.fill = fill;
        clone.fill_opacity = fill_opacity;
        clone.fill_rule = fill_rule;
        clone.font_family = font_family;
        clone.font_size = font_size;
        clone.font_style = font_style;
        clone.text_decoration = text_decoration;
        clone.font_weight = font_weight;
        clone.image_rendering = image_rendering;
        clone.pointer_events = pointer_events;
        clone.shape_rendering = shape_rendering;
        clone.text_anchor = text_anchor;
        clone.text_rendering = text_rendering;
        clone.visibility = visibility;
        clone.overflow = overflow;
        clone.stop_color = stop_color;
        clone.stop_opacity = stop_opacity;
        clone.stroke = stroke;
        clone.stroke_dasharray = stroke_dasharray;
        clone.stroke_dashoffset = stroke_dashoffset;
        clone.stroke_linecap = stroke_linecap;
        clone.stroke_linejoin = stroke_linejoin;
        clone.stroke_miterlimit = stroke_miterlimit;
        clone.stroke_opacity = stroke_opacity;
        clone.stroke_width = stroke_width;
        clone.base = base;
        clone.lang = lang;
        clone.space = space;
        clone.privateAttributes = privateAttributes;
        clone.externalResourcesRequired = externalResourcesRequired;
        return clone;
    }
}
