/*
 * This software was originally developed by Arnaud Caigniet, Gregory Donias, Jean-Claude Dufourd,
 * Cdric Ggout, Erwann Gouesbet, Elouan LeCoq, Gaetan Lefevre, Nicolas Pierre, Cristian Spiescu
 * and Julien Tranchant (Streamezzo), in the course of development of the ISO/IEC 14496-20
 * (Lightweight Application Scene Representation -LASeR- and Simple Aggregation Format
 * -SAF-) standard for reference purposes and its performance may not have been optimized.
 * This software module is an implementation of one or more tools as specified by the
 * LASeR and SAF standard.
 * ISO/IEC gives users free license to this software module or modifications thereof
 * for use in products claiming conformance to audiovisual and image-coding related
 * ITU Recommendations and/or ISO/IEC International Standards.
 * ISO/IEC gives users the same free license to this software module or modifications
 * thereof for research purposes and further ISO/IEC standardisation.
 * Those intending to use this software module in products are advised that its use may
 * infringe existing patents. ISO/IEC have no liability for use of this software module
 * or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual and
 * image-coding related ITU Recommendations and/or ISO/IEC International Standards.
 * Streamezzo retains full right to modify and use the code for its own purpose,
 * assign or donate the code to a third party and to inhibit third parties from using
 * the code for products that do not conform to audiovisual and image-coding related ITU
 * Recommendations and/or ISO/IEC International Standards.
 * This copyright notice must be included in all copies or derivative works.
 * Copyright (c) ISO/IEC 2004-2007.
 */
package iso.mpeg.streamezzo.laser;

import iso.mpeg.streamezzo.sdl.Matrix;
import iso.mpeg.streamezzo.sdl.Point;
import iso.mpeg.streamezzo.sdl.Attribute;
import iso.mpeg.streamezzo.laser.Xaudio;
import iso.mpeg.streamezzo.laser.Ilocatable;
import iso.mpeg.streamezzo.laser.Xaudio;
import iso.mpeg.streamezzo.util.Visitor;

public class Xvideo extends Xaudio implements Ilocatable, Idpv {
    public int height = Integer.MIN_VALUE;
    public int overlay = Integer.MIN_VALUE;
    public int rotation = Integer.MIN_VALUE;
    public Point scale;
    public Matrix transform;
    public int transformBehavior = Integer.MIN_VALUE;
    public Point translation;
    public int width = Integer.MIN_VALUE;
    public int x = Integer.MIN_VALUE;
    public int y = Integer.MIN_VALUE;
    public String contentType;
    public int display = Integer.MIN_VALUE;
    public int pointer_events = Integer.MIN_VALUE;
    public int visibility = Integer.MIN_VALUE;
    public static final Attribute attributeName = new Attribute();
    public int preserveAspectRatio = Integer.MIN_VALUE;
    public int fullscreen = Integer.MIN_VALUE;
    public int initialVisibility = Integer.MIN_VALUE;

    public int getDisplay() {
        return display;
    }

    public void setDisplay(int display) {
        this.display = display;
    }

    public int getPointer_events() {
        return pointer_events;
    }

    public void setPointer_events(int pointer_events) {
        this.pointer_events = pointer_events;
    }

    public int getVisibility() {
        return visibility;
    }

    public void setVisibility(int visibility) {
        this.visibility = visibility;
    }

    public int getRotation() {
        return rotation;
    }

    public void setRotation(int rotation) {
        this.rotation = rotation;
    }

    public Point getScale() {
        return scale;
    }

    public void setScale(Point scale) {
        this.scale = scale;
    }

    public Matrix getTransform() {
        return transform;
    }

    public void setTransform(Matrix transform) {
        this.transform = transform;
    }

    public Point getTranslation() {
        return translation;
    }

    public void setTranslation(Point translation) {
        this.translation = translation;
    }

    public void visit(Visitor v, Object o) throws Exception {
        v.visitXvideo(this, o);
    }
}
