/*
 * This software was originally developed by Arnaud Caigniet, Gregory Donias, Jean-Claude Dufourd,
 * Cdric Ggout, Erwann Gouesbet, Elouan LeCoq, Gaetan Lefevre, Nicolas Pierre, Cristian Spiescu
 * and Julien Tranchant (Streamezzo), in the course of development of the ISO/IEC 14496-20
 * (Lightweight Application Scene Representation -LASeR- and Simple Aggregation Format
 * -SAF-) standard for reference purposes and its performance may not have been optimized.
 * This software module is an implementation of one or more tools as specified by the
 * LASeR and SAF standard.
 * ISO/IEC gives users free license to this software module or modifications thereof
 * for use in products claiming conformance to audiovisual and image-coding related
 * ITU Recommendations and/or ISO/IEC International Standards.
 * ISO/IEC gives users the same free license to this software module or modifications
 * thereof for research purposes and further ISO/IEC standardisation.
 * Those intending to use this software module in products are advised that its use may
 * infringe existing patents. ISO/IEC have no liability for use of this software module
 * or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual and
 * image-coding related ITU Recommendations and/or ISO/IEC International Standards.
 * Streamezzo retains full right to modify and use the code for its own purpose,
 * assign or donate the code to a third party and to inhibit third parties from using
 * the code for products that do not conform to audiovisual and image-coding related ITU
 * Recommendations and/or ISO/IEC International Standards.
 * This copyright notice must be included in all copies or derivative works.
 * Copyright (c) ISO/IEC 2004-2007.
 */

package iso.mpeg.streamezzo.sdl;

public abstract class AttributesConstants {
    public static final String attributeNames[] = {
        "a.xlink:href",
        "accumulate",
        "additive",
        "anim.fill",
        "newSceneIndicator",
        "attributeName",
        "audio-level",
        "viewport-fill",
        "viewport-fill-opacity",
        "bandwidth",
        "begin",
        "by",
        "calcMode",
        "children",
        "choice",
        "color",
        "color-rendering",
        "color.fill",
        "cx",
        "cy",
        "d",
        "delay",
        "display",
        "display-align",
        "dur",
        "editable",
        "enabled",
        "end",
        "event",
        "externalResourcesRequired",
        "fill-opacity",
        "fill-rule",
        "navRight",
        "navNext",
        "navUp",
        "navUpRight",
        "navUpLeft",
        "navPrev",
        "navDown",
        "navDownRight",
        "navDownLeft",
        "navLeft",
        "focusable",
        "font-family",
        "font-delta",
        "font-style",
        "font-variant",
        "font-weight",
        "from",
        "gradient-units",
        "height",
        "image-rendering",
        "keyCodes",
        "keyPoints",
        "keySplines",
        "keyTimes",
        "mediaCharacterEncoding",
        "mediaContentEncodings",
        "mediaSize",
        "mediaTime",
        "observer",
        "offset",
        "overflow",
        "overlay",
        "path",
        "pointer-events",
        "points",
        "preserveAspectRatio",
        "r",
        "repeatCount",
        "repeatDur",
        "requiredExtensions",
        "requiredFeatures",
        "requiredFormats",
        "resolution",
        "restart",
        "rotate",
        "rotation",
        "rx",
        "ry",
        "scale",
        "shape-rendering",
        "delta",
        "solid-color",
        "solid-opacity",
        "stop-color",
        "stop-opacity",
        "stroke",
        "stroke-dasharray",
        "stroke-dashoffset",
        "stroke-linecap",
        "stroke-linejoin",
        "stroke-miterlimit",
        "stroke-opacity",
        "stroke-width",
        "syncBehavior",
        "syncBehaviorDefault",
        "syncReference",
        "syncTolerance",
        "syncToleranceDefault",
        "systemLanguage",
        "text-anchor",
        "text-rendering",
        "textContent",
        "timeAttribute",
        "to",
        "transform",
        "transformBehavior",
        "translation",
        "type",
        "url",
        "values",
        "viewBox",
        "visibility",
        "width",
        "x",
        "x1",
        "x2",
        "xlink:actuate",
        "xlink:arcrole",
        "xlink:href",
        "xlink:role",
        "xlink:show",
        "xlink:title",
        "xlink:type",
        "xml:base",
        "xml:lang",
        "xml:space",
        "y",
        "y1",
        "y2",
        "zoomAndPan"
    };
}
