/*
 * This software was originally developed by Arnaud Caigniet, Gregory Donias, Jean-Claude Dufourd,
 * Cdric Ggout, Erwann Gouesbet, Elouan LeCoq, Gaetan Lefevre, Nicolas Pierre, Cristian Spiescu
 * and Julien Tranchant (Streamezzo), in the course of development of the ISO/IEC 14496-20
 * (Lightweight Application Scene Representation -LASeR- and Simple Aggregation Format
 * -SAF-) standard for reference purposes and its performance may not have been optimized.
 * This software module is an implementation of one or more tools as specified by the
 * LASeR and SAF standard.
 * ISO/IEC gives users free license to this software module or modifications thereof
 * for use in products claiming conformance to audiovisual and image-coding related
 * ITU Recommendations and/or ISO/IEC International Standards.
 * ISO/IEC gives users the same free license to this software module or modifications
 * thereof for research purposes and further ISO/IEC standardisation.
 * Those intending to use this software module in products are advised that its use may
 * infringe existing patents. ISO/IEC have no liability for use of this software module
 * or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual and
 * image-coding related ITU Recommendations and/or ISO/IEC International Standards.
 * Streamezzo retains full right to modify and use the code for its own purpose,
 * assign or donate the code to a third party and to inhibit third parties from using
 * the code for products that do not conform to audiovisual and image-coding related ITU
 * Recommendations and/or ISO/IEC International Standards.
 * This copyright notice must be included in all copies or derivative works.
 * Copyright (c) ISO/IEC 2004-2007.
 */
package iso.mpeg.streamezzo.sdl;

public abstract class realAttributes {
    public static java.util.Hashtable ht = new java.util.Hashtable();

    public static void init() {
        String Xobject[] = {"base", "space", "lang", "id", };
        ht.put("object", Xobject);
        String XextensionContent[] = {};
        ht.put("extensionContent", XextensionContent);
        String XprivateAttribute[] = {};
        ht.put("privateAttribute", XprivateAttribute);
        String XprivateElement[] = {};
        ht.put("privateElement", XprivateElement);
        String XprivateElementContainer[] = {"anyXML", "opaque", "reserved"};
        ht.put("privateElementContainer", XprivateElementContainer);
        String Xa[] = {"base", "space", "lang", "id", "requiredExtensions", "requiredFeatures", "requiredFormats",
                       "systemLanguage", "rotation", "scale", "transform", "translation", "audio_level", "color",
                       "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule",
                       "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events",
                       "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray", "stroke_dashoffset",
                       "stroke_linecap", "stroke_linejoin", "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor",
                       "text_rendering", "visibility", "externalResourcesRequired", "href", "title", "type", "role", "arcrole",
                       "actuate", "show", "target"};
        ht.put("a", Xa);
        String Xanimate[] = {"base", "space", "lang", "id", "accumulate", "additive", "by", "calcMode", "from",
                             "keySplines", "keyTimes", "values", "href", "title", "type", "role", "arcrole", "actuate",
                             "show", "attributeName", "begin", "dur", "enabled", "end", "fill", "repeatCount",
                             "repeatDur", "restart", "to", };
        ht.put("animate", Xanimate);
        ht.put("animateColor", Xanimate);
        String XanimateTransform[] = {"base", "space", "lang", "id", "accumulate", "additive", "by", "calcMode", "from", "keySplines", "keyTimes", "values", "href", "title", "type", "role", "arcrole", "actuate", "show", "attributeName", "begin", "dur", "enabled", "end", "fill", "repeatCount", "repeatDur", "restart", "to", };
        ht.put("animateTransform", XanimateTransform);
        String XanimateMotion[] = {"base", "space", "lang", "id", "accumulate", "additive", "by", "calcMode", "from",
                "keySplines", "keyTimes", "values", "href", "title", "type", "role", "arcrole", "actuate", "show",
                "attributeName", "begin", "dur", "enabled", "end", "fill", "repeatCount", "repeatDur", "restart",
                "to", "keyPoints", "path", "rotate", };
        ht.put("animateMotion", XanimateMotion);
        String Xaudio[] = {"clipBegin", "clipEnd", "base", "space", "lang", "id", "requiredExtensions", "requiredFeatures",
                           "requiredFormats", "systemLanguage", "href", "title", "type", "role", "arcrole",
                           "actuate", "show", "audio_level", "begin", "end", "externalResourcesRequired", "repeatCount",
                           "repeatDur", "syncBehavior", "syncBehaviorDefault", "syncReference", "syncTolerance",
                           "syncToleranceDefault", "target", "dur"};
        ht.put("audio", Xaudio);
        String Xcircle[] = {"base", "space", "lang", "id", "requiredExtensions", "requiredFeatures",
                            "requiredFormats", "systemLanguage", "rotation", "scale", "transform", "translation",
                            "audio_level", "color", "color_rendering", "display", "display_align", "fill",
                            "fill_opacity", "fill_rule", "font_family", "font_size", "font_style", "font_weight",
                            "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity",
                            "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin",
                            "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor", "text_rendering",
                            "visibility", "cx", "cy", "r", };
        ht.put("circle", Xcircle);
        String Xdefs[] = {"base", "space", "lang", "id", "audio_level", "color", "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", };
        ht.put("defs", Xdefs);
        String Xcursor[] = {"x", "y", "href", "id"};
        ht.put("cursor", Xcursor);
        String Xdtm[] = {"id", "text"};
        ht.put("desc_metaData_title", Xdtm);
        String Xellipse[] = {"base", "space", "lang", "id", "requiredExtensions", "requiredFeatures", "requiredFormats", "systemLanguage", "rotation", "scale", "transform", "translation", "audio_level", "color", "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "cx", "cy", "rx", "ry", };
        ht.put("ellipse", Xellipse);
        String XforeignObject[] = {"base", "space", "lang", "id", "requiredExtensions", "requiredFeatures", "requiredFormats", "systemLanguage", "audio_level", "color", "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "viewport_fill", "viewport_fill_opacity", "externalResourcesRequired", "height", "width", "x", "y", };
        ht.put("foreignObject", XforeignObject);
        String Xgroup[] = {"base", "space", "lang", "id", "requiredExtensions", "requiredFeatures", "requiredFormats", "systemLanguage", "rotation", "scale", "transform", "translation", "audio_level", "color", "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "externalResourcesRequired", };
        ht.put("group", Xgroup);
        String Xg[] = {"base", "space", "lang", "id", "requiredExtensions", "requiredFeatures", "requiredFormats", "systemLanguage", "rotation", "scale", "transform", "translation", "audio_level", "color", "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "externalResourcesRequired", "choice", "delta", };
        ht.put("g", Xg);
        String Ximage[] = {"base", "space", "lang", "id", "requiredExtensions", "requiredFeatures",
                           "requiredFormats", "systemLanguage", "href", "title", "type", "role", "arcrole", "actuate",
                           "show", "rotation", "scale", "transform", "translation", "audio_level", "color",
                           "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule",
                           "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events",
                           "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray",
                           "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit",
                           "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility",
                           "externalResourcesRequired", "height", "opacity", "transformBehavior", "width", "x", "y",
                           "display", "pointer_events", "visibility"};
        ht.put("image", Ximage);
        String XLASeRHeader[] = {"newSceneIndicator", "colorComponentBits_minus_1", "hasStringIds",
                "ISO_15938_1_DecoderInit", "ISO_15938_1_DecoderInit_Configuration", "level", "pathComponents",
                "pointsCodec", "profile", "resetEncodingTables", "resolution", "scaleBits_minus_coordBits",
                "useFullRequestHost", "timeResolution", "coordBits", "hasPrivateData", "extensionIDBits",
                "hasExtendedAttributes", "extensionDescriptor", "reserved"};
        ht.put("LASeRHeader", XLASeRHeader);
        String Xline[] = {"base", "space", "lang", "id", "requiredExtensions", "requiredFeatures", "requiredFormats", "systemLanguage", "rotation", "scale", "transform", "translation", "audio_level", "color", "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "x1", "x2", "y1", "y2", };
        ht.put("line", Xline);
        String XlinearGradient[] = {"base", "space", "lang", "id", "audio_level", "color", "color_rendering", "display",
                "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style",
                "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity",
                "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit",
                "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "gradientUnits", "x1",
                "x2", "y1", "y2", };
        ht.put("linearGradient", XlinearGradient);
        String Xmpath[] = {"base", "space", "lang", "id", "href", "title", "type", "role", "arcrole", "actuate", "show", };
        ht.put("mpath", Xmpath);
        String Xpath[] = {"base", "space", "lang", "id", "requiredExtensions", "requiredFeatures", "requiredFormats",
                          "systemLanguage", "rotation", "scale", "transform", "translation", "audio_level", "color",
                          "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule",
                          "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events",
                          "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray",
                          "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit",
                          "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "d",
                          "pathLength"};
        ht.put("path", Xpath);
        String Xpolygon[] = {"base", "space", "lang", "id", "requiredExtensions", "requiredFeatures", "requiredFormats", "systemLanguage", "rotation", "scale", "transform", "translation", "audio_level", "color", "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "points", };
        ht.put("polygon", Xpolygon);
        ht.put("polyline", Xpolygon);
        String XradialGradient[] = {"base", "space", "lang", "id", "audio_level", "color", "color_rendering", "display",
                "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style",
                "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity",
                "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit",
                "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "cx", "cy", "gradientUnits",
                "r", };
        ht.put("radialGradient", XradialGradient);
        String Xrect[] = {"base", "space", "lang", "id", "requiredExtensions", "requiredFeatures", "requiredFormats", "systemLanguage", "rotation", "scale", "transform", "translation", "audio_level", "color", "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "height", "rx", "ry", "width", "x", "y", };
        ht.put("rect", Xrect);
        String Xscript[] = {"base", "space", "lang", "begin", "enabled", "externalResourcesRequired", "id", "type", "text"};
        ht.put("script", Xscript);
        String Xset[] = {"base", "space", "lang", "id", "href", "title", "type", "role", "arcrole", "actuate", "show", "attributeName", "begin", "dur", "enabled", "end", "fill", "repeatCount", "repeatDur", "restart", "to", };
        ht.put("set", Xset);
        String Xstop[] = {"base", "space", "lang", "id", "audio_level", "color", "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "offset", };
        ht.put("stop", Xstop);
        String Xsvg[] = {"base", "space", "lang", "id", "audio_level", "color", "color_rendering", "display",
                "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style",
                "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity",
                "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit",
                "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "viewport_fill",
                "viewport_fill_opacity", "begin", "externalResourcesRequired", "height", "preserveAspectRatio",
                "syncBehavior", "syncBehaviorDefault", "syncTolerance", "syncToleranceDefault", "transformBehaviorDefault",
                "viewBox", "width", "zoomAndPan", "baseProfile", "playbackOrder", "contentScriptType", "timelineBegin",
                "snapshotTime", "version"};
        ht.put("svg", Xsvg);
        String Xswitch[] = {"base", "space", "lang", "id", "requiredExtensions", "requiredFeatures", "requiredFormats", "systemLanguage", "audio_level", "color", "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "externalResourcesRequired", };
        ht.put("switch", Xswitch);
        String Xtext[] = {"base", "space", "lang", "requiredExtensions", "requiredFeatures", "requiredFormats", "systemLanguage", "audio_level", "color", "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "base", "space", "lang", "id", "rotation", "scale", "transform", "translation", "editable", "rotate", "x", "y", "text"};
        ht.put("text", Xtext);
        String Xtrigger[] = {"beginEnd", "base", "space", "lang", "id", "href", "title", "type", "role", "arcrole",
                "actuate", "show", "delay", "enabled", "event", "keyCodes", "observer", "timeAttribute", "url",
                "defaultAction", "propagate", "handler", "phase", "target" };
        ht.put("listener", Xtrigger);
        String Xtspan[] = {"base", "space", "lang", "requiredExtensions", "requiredFeatures", "requiredFormats", "systemLanguage", "audio_level", "color", "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "base", "space", "lang", "id", "text"};
        ht.put("tspan", Xtspan);
        String Xuse[] = {"base", "space", "lang", "id", "requiredExtensions", "requiredFeatures", "requiredFormats", "systemLanguage", "href", "title", "type", "role", "arcrole", "actuate", "show", "rotation", "scale", "transform", "translation", "audio_level", "color", "color_rendering", "display", "display_align", "fill", "fill_opacity", "fill_rule", "font_family", "font_size", "font_style", "font_weight", "image_rendering", "pointer_events", "shape_rendering", "stop_color", "stop_opacity", "stroke", "stroke_dasharray", "stroke_dashoffset", "stroke_linecap", "stroke_linejoin", "stroke_miterlimit", "stroke_opacity", "stroke_width", "text_anchor", "text_rendering", "visibility", "externalResourcesRequired", "height", "overflow", "width", "x", "y", };
        ht.put("use", Xuse);
        String Xvideo[] = {"clipBegin", "clipEnd", "base", "space", "lang", "id", "requiredExtensions", "requiredFeatures",
                           "requiredFormats", "systemLanguage", "href", "title", "type", "role",
                           "arcrole", "actuate", "show", "audio_level", "begin", "end", "externalResourcesRequired",
                           "repeatCount", "repeatDur", "syncBehavior", "syncBehaviorDefault", "syncReference",
                           "syncTolerance", "syncToleranceDefault", "rotation", "scale", "transform", "translation",
                           "height", "overlay", "transformBehavior", "width", "x", "y", "display", "pointer_events",
                           "visibility", "dur"};
        ht.put("video", Xvideo);
        String XtextContent[] = {"text"};
        ht.put("textContent", XtextContent);
        ht.put("Add", new String[]{"attributeName", "operandElementId", "idTarget", "operandAttribute", "ref", "value"});
        ht.put("Insert", new String[]{"attributeName", "index", "ref", "value"});
        ht.put("Delete", new String[]{"index", "ref", "attributeName"});
        ht.put("Replace", new String[]{"attributeName", "index", "operandElementId", "operandAttribute", "ref", "value"});
        ht.put("Save", new String[]{"elementAttributeList", "groupID"});
        ht.put("Restore", new String[]{"groupID"});
        ht.put("Clean", new String[]{"groupID"});
        ht.put("SendEvent", new String[]{"event", "pointvalue", "intvalue", "stringvalue", "ref"});
        ht.put("NewScene", new String[]{"svg"});
        ht.put("RefreshScene", new String[]{"time", "svg"});
        ht.put("sameg", new String[]{"id"});
        ht.put("sameline", new String[]{"id", "x1", "x2", "y1", "y2"});
        ht.put("samepath", new String[]{"id", "d"});
        ht.put("samepathfill", new String[]{"id", "d", "fill"});
        ht.put("samepolygon", new String[]{"id", "points"});
        ht.put("samepolygonfill", new String[]{"id", "points", "fill"});
        ht.put("samepolygonstroke", new String[]{"id", "points", "stroke"});
        ht.put("samerect", new String[]{"id", "x", "y", "width", "height"});
        ht.put("samerectfill", new String[]{"id", "x", "y", "width", "height", "fill"});
        ht.put("sametext", new String[]{"id", "x", "y"});
        ht.put("sametextfill", new String[]{"id", "x", "y", "fill"});
        ht.put("sameuse", new String[]{"id", "href"});
    }
}