/*
 * This software was originally developed by Arnaud Caigniet, Gregory Donias, Jean-Claude Dufourd,
 * Cdric Ggout, Erwann Gouesbet, Elouan LeCoq, Gaetan Lefevre, Nicolas Pierre, Cristian Spiescu
 * and Julien Tranchant (Streamezzo), in the course of development of the ISO/IEC 14496-20
 * (Lightweight Application Scene Representation -LASeR- and Simple Aggregation Format
 * -SAF-) standard for reference purposes and its performance may not have been optimized.
 * This software module is an implementation of one or more tools as specified by the
 * LASeR and SAF standard.
 * ISO/IEC gives users free license to this software module or modifications thereof
 * for use in products claiming conformance to audiovisual and image-coding related
 * ITU Recommendations and/or ISO/IEC International Standards.
 * ISO/IEC gives users the same free license to this software module or modifications
 * thereof for research purposes and further ISO/IEC standardisation.
 * Those intending to use this software module in products are advised that its use may
 * infringe existing patents. ISO/IEC have no liability for use of this software module
 * or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual and
 * image-coding related ITU Recommendations and/or ISO/IEC International Standards.
 * Streamezzo retains full right to modify and use the code for its own purpose,
 * assign or donate the code to a third party and to inhibit third parties from using
 * the code for products that do not conform to audiovisual and image-coding related ITU
 * Recommendations and/or ISO/IEC International Standards.
 * This copyright notice must be included in all copies or derivative works.
 * Copyright (c) ISO/IEC 2004-2007.
 */
package iso.mpeg.streamezzo.util;

import java.io.*;

public class IOMethods {
    private final static boolean countByte = false;

    public static void fillIn(InputStream in, OutputStream out, int blockSize) throws IOException {
        long totalByteRead = 0;
        int nbBytesRead = 0;
        byte[] tab = new byte[blockSize];
        do {
            nbBytesRead = in.read(tab);
            if (nbBytesRead == blockSize)  // on a lue le bon nombre
            {
                out.write(tab);
            } else if (nbBytesRead > 0) {
                out.write(tab, 0, nbBytesRead); // on en a lu un peu moins
            } else {
                // on a finit de lire, on ne fait rien
            }
            if (countByte) {
                totalByteRead += nbBytesRead;
            }
        } while (nbBytesRead > 0);
        if (countByte) {
            System.out.println("red " + totalByteRead);
        }
    }
}
