<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:java="http://xml.apache.org/xslt/java"
    xmlns:xsd="http://www.w3.org/2001/XMLSchema"
    xmlns:lsr="urn:mpeg:mpeg4:LASeR:2005"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:ev="http://www.w3.org/2001/xml-events"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    xmlns:saf="urn:mpeg:mpeg4:SAF:2005" exclude-result-prefixes="lsr saf lsru xsd xsl java #default">
    <xsl:output encoding="UTF-8"/>
    <xsl:variable name="IDS" select="//*/@id" />
    <xsl:template match="@id">
        <xsl:attribute name="id">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.indexOf($IDS,.)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@observer">
        <xsl:attribute name="observer">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.indexOf($IDS,.)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@handler">
        <xsl:attribute name="handler">
            <xsl:value-of select="concat('#',java:iso.mpeg.streamezzo.util.Utils.indexOf($IDS,substring-after(.,'#')))"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="lsr:*/@ref">
        <xsl:attribute name="ref">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.indexOf($IDS,.)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="lsr:Replace[@attributeName = 'xlink:href']/@value">
        <xsl:attribute name="value">
            <xsl:value-of select="concat('#',java:iso.mpeg.streamezzo.util.Utils.indexOf($IDS,substring-after(.,'#')))"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@xlink:href[starts-with(.,'#')]">
        <xsl:attribute name="xlink:href">
            <xsl:value-of select="concat('#',java:iso.mpeg.streamezzo.util.Utils.indexOf($IDS,substring-after(.,'#')))"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@elements">
        <xsl:attribute name="elements">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.substByIndex($IDS,.)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:variable name="DEFS" select="//*/@streamID" />
    <xsl:template match="@xlink:href[starts-with(.,'stream:')]">
        <xsl:attribute name="xlink:href">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.indexOf($DEFS,substring-after(.,'stream:'))"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@syncReference[starts-with(.,'stream:')]">
        <xsl:attribute name="syncReference">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.indexOf($DEFS,substring-after(.,'stream:'))"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@streamID">
        <xsl:attribute name="streamID">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.indexOf($DEFS,.)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="saf:*/@ref">
        <xsl:attribute name="ref">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.indexOf($DEFS,.)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="*|@*">
		<xsl:copy>
		    <xsl:apply-templates select="*|@*"/>
		</xsl:copy>
    </xsl:template>
    <xsl:template match="@keyTimes">
        <xsl:attribute name="keyTimes">
            <xsl:value-of select="translate(.,';',' ')"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@from | @to | @values | @value">
        <xsl:attribute name="{name()}">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.removeEndDotZero(.)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@source">
        <xsl:attribute name="source">
            <xsl:value-of select="substring(., 0, 40)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="*[@attributeName = 'fill']/@values">
        <xsl:attribute name="values">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.rgbizeValues(.)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@lsr:translation[. = '0 0']"/>
    <xsl:template match="@lsr:translation | @lsr:scale | @lsr:rotation">
        <xsl:attribute name="{name()}">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.roundFloatList(., 2)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="*[@type = 'translate']/@values">
        <xsl:attribute name="values">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.roundFloatList(., 1)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="*[@attributeName = 'transform']/@values">
        <xsl:attribute name="values">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.roundFloatList(., 1)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@value[starts-with(.,'matrix(')]">
        <xsl:attribute name="value">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.roundFloatList(substring-after(.,'matrix('), 1)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@transform[starts-with(.,'matrix(')]">
        <xsl:attribute name="transform">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.roundFloatList(substring-after(.,'matrix('), 1)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@transform[. = 'matrix(1.0,0.0,0.0,1.0,0.0,0.0)']"/>
    <xsl:template match="@points">
        <xsl:attribute name="points">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.roundFloatList(., 1)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@stroke-width">
        <xsl:attribute name="stroke-width">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.roundFloatList(., 1)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@keySplines">
        <xsl:attribute name="keySplines">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.roundFloatList(., 1)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@keyTimes">
        <xsl:attribute name="keyTimes">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.roundFloatList(., 1)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@lsr:size | @audio-level | @viewport-fill-opacity | @stroke-miterlimit | @stroke-opacity | @stop-opacity | @font-size | @offset | @fill-opacity | @width | @height | @x | @y | @x1 | @y1 | @x2 | @y2 | @r | @rx | @ry | @cx | @cy">
        <xsl:attribute name="{name()}">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.roundFloatList(., 1)"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@d">
        <xsl:attribute name="d">path spec</xsl:attribute>
        <!--<xsl:attribute name="d">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.roundPath(., 0)"/>
        </xsl:attribute>-->
    </xsl:template>
    <xsl:template match="*[@attributeName = 'fill']/@to | *[@attributeName = 'fill']/@from | *[@attributeName = 'stroke']/@to | *[@attributeName = 'stroke']/@from | @fill | @stop-color | @stroke | @color">
        <xsl:attribute name="{name()}">
            <xsl:choose>
                <xsl:when test="starts-with(., '#')">
                    <xsl:value-of select="translate(java:iso.mpeg.streamezzo.util.Utils.rgbizeColor(.),',',' ')"/>
                </xsl:when>
                <xsl:when test="starts-with(., 'rgb(')">
                    <xsl:value-of select="translate(.,',',' ')"/>
                </xsl:when>
                <xsl:when test="starts-with(., 'url(')">url</xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="translate(java:iso.mpeg.streamezzo.util.Utils.translateColors(.),',',' ')"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@class"/>
    <xsl:template match="@colorComponentBits[. = '8']"/>
    <xsl:template match="@preserveAspectRatio[. = 'none']"/>
    <xsl:template match="@fill[. = 'remove']"/>
    <xsl:template match="@calcMode[. = 'linear']"/>
    <xsl:template match="@zoomAndPan[. = 'magnify']"/>
    <xsl:template match="@additive[. = 'replace']"/>
    <xsl:template match="@accumulate[. = 'none']"/>
    <xsl:template match="@enabled[. = 'true']"/>
    <xsl:template match="@coordBits[. = '12']"/>
    <xsl:template match="saf:sceneHeader/@objectTypeIndication"/>
    <xsl:template match="saf:sceneHeader/@streamType"/>
    <xsl:template match="saf:sceneHeader/@streamID"/>
    <xsl:template match="saf:sceneUnit/@ref"/>
    <xsl:template match="@begin[. = 'indefinite']"/>
    <xsl:template match="ev:listener/@lsr:timeAttribute[. = 'begin']"/>
    <xsl:template match="@append[. = 'false']"/>
    <xsl:template match="@level[. = 0]"/>
    <xsl:template match="@resolution[. = 0]"/>
    <xsl:template match="@time[. = 0]"/>
    <xsl:template match="@pathComponents[. = 15]"/>
    <xsl:template match="@scaleBits_minus_coordBits[. = 0]"/>
    <xsl:template match="@baseProfile[. = 'tiny']"/>
    <xsl:template match="@version[. = 1.2]"/>
    <xsl:template match="@externalResourcesRequired[. = 'false']"/>
    <xsl:template match="@lsr:enabled[. = 'false']"/>
    <xsl:template match="@dur[java:iso.mpeg.streamezzo.util.Utils.endsWith(.,'s')]">
        <xsl:attribute name="dur">
            <xsl:value-of select="substring-before(., 's')"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@transform[starts-with(.,'translate(')]">
        <xsl:attribute name="lsr:translation">
            <xsl:value-of select="java:iso.mpeg.streamezzo.util.Utils.roundFloatList(substring-before(substring-after(.,'translate('),')'), 1)"/>
        </xsl:attribute>
    </xsl:template>
</xsl:stylesheet>