/*
 * This software was originally developed by Arnaud Caigniet, Gregory Donias, Jean-Claude Dufourd,
 * Cdric Ggout, Erwann Gouesbet, Elouan LeCoq, Gaetan Lefevre, Nicolas Pierre, Cristian Spiescu
 * and Julien Tranchant (Streamezzo), in the course of development of the ISO/IEC 14496-20
 * (Lightweight Application Scene Representation -LASeR- and Simple Aggregation Format
 * -SAF-) standard for reference purposes and its performance may not have been optimized.
 * This software module is an implementation of one or more tools as specified by the
 * LASeR and SAF standard.
 * ISO/IEC gives users free license to this software module or modifications thereof
 * for use in products claiming conformance to audiovisual and image-coding related
 * ITU Recommendations and/or ISO/IEC International Standards.
 * ISO/IEC gives users the same free license to this software module or modifications
 * thereof for research purposes and further ISO/IEC standardisation.
 * Those intending to use this software module in products are advised that its use may
 * infringe existing patents. ISO/IEC have no liability for use of this software module
 * or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual and
 * image-coding related ITU Recommendations and/or ISO/IEC International Standards.
 * Streamezzo retains full right to modify and use the code for its own purpose,
 * assign or donate the code to a third party and to inhibit third parties from using
 * the code for products that do not conform to audiovisual and image-coding related ITU
 * Recommendations and/or ISO/IEC International Standards.
 * This copyright notice must be included in all copies or derivative works.
 * Copyright (c) ISO/IEC 2004-2007.
 */
package iso.mpeg.streamezzo.player.node;

public class Xlink {
    private int xlink_actuate = Integer.MIN_VALUE;
    private String xlink_arcrole;
    private URI xlink_href;
    private String xlink_role;
    private int xlink_show = Integer.MIN_VALUE;
    private String xlink_title;
    private int xlink_type = Integer.MIN_VALUE;
    public int getActuate() {
        return xlink_actuate;
    }

    public void setActuate(int actuate) {
        this.xlink_actuate = actuate;
    }

    public String getArcrole() {
        return xlink_arcrole;
    }

    public void setArcrole(String arcrole) {
        this.xlink_arcrole = arcrole;
    }

    public URI getHref() {
        return xlink_href;
    }
    
    public void setHref(URI href) {
        this.xlink_href = href;
    }

    public String getRole() {
        return xlink_role;
    }

    public void setRole(String role) {
        this.xlink_role = role;
    }

    public int getShow() {
        return xlink_show;
    }

    public void setShow(int show) {
        this.xlink_show = show;
    }

    public String getTitle() {
        return xlink_title;
    }

    public void setTitle(String title) {
        this.xlink_title = title;
    }

    public int getXlinkType() {
        return xlink_type;
    }

    public void setXlinkType(int type) {
        this.xlink_type = type;
    }
}
