/*
 * This software was originally developed by Arnaud Caigniet, Gregory Donias, Jean-Claude Dufourd,
 * Cédric Gégout, Erwann Gouesbet, Elouan LeCoq, Gaetan Lefevre, Nicolas Pierre, Cristian Spiescu
 * and Julien Tranchant (Streamezzo), in the course of development of the ISO/IEC 14496-20
 * (Lightweight Application Scene Representation -LASeR- and Simple Aggregation Format
 * -SAF-) standard for reference purposes and its performance may not have been optimized.
 * This software module is an implementation of one or more tools as specified by the
 * LASeR and SAF standard.
 * ISO/IEC gives users free license to this software module or modifications thereof
 * for use in products claiming conformance to audiovisual and image-coding related
 * ITU Recommendations and/or ISO/IEC International Standards.
 * ISO/IEC gives users the same free license to this software module or modifications
 * thereof for research purposes and further ISO/IEC standardisation.
 * Those intending to use this software module in products are advised that its use may
 * infringe existing patents. ISO/IEC have no liability for use of this software module
 * or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual and
 * image-coding related ITU Recommendations and/or ISO/IEC International Standards.
 * Streamezzo retains full right to modify and use the code for its own purpose,
 * assign or donate the code to a third party and to inhibit third parties from using
 * the code for products that do not conform to audiovisual and image-coding related ITU
 * Recommendations and/or ISO/IEC International Standards.
 * This copyright notice must be included in all copies or derivative works.
 * Copyright (c) ISO/IEC 2004-2007.
 */
package iso.mpeg.streamezzo.player.tool;

public interface Debug {
    public static final boolean DEBUG_EXECCOND = false;
    public static final boolean DEBUG_ERROR = false;
    public static final boolean DEBUG_STORE_NODE = false;
    public static final boolean DEBUG_AU = false;
    public static final boolean DEBUG_OPENURL = false;
    public static final boolean DEBUG_PARSEONEBUFFEREDUNIT = false;
    public static final boolean DEBUG_RMS = false;
    public static final boolean DEBUG_URL = false;
    public static final boolean DEBUG_SETURL = false;
    public static final boolean DEBUG_MEM = false;
    public static final boolean DEBUG_MEMORY_LEFT = false;
    public static final boolean DEBUG_BITMAP = false;
    public static final boolean DEBUG_TRACE = false;
    public static final boolean DEBUG_ANIMATION = false;
    public static final boolean DEBUG_SIZE = false;
    public static final boolean DEBUG_APPEND_MODE = false;
    public static final boolean DEBUG_TEXTFLOW = false;
    public static final boolean DEBUG_DELETE = false;
    public static final boolean DEBUG_GRAPHMANAGER = false;
    public static final boolean DEBUG_NAVIGATOR = false;
    public static final boolean DEBUG_EVENT = false;
    public static final boolean DEBUG_BBOX = false;
    public static final boolean DEBUG_CURSOR = false;
    public static final boolean DEBUG_CURSOR_FULL = false;
    public static final boolean DEBUG_MULTIMEDIA = false;

    //DOWNLOADING THREAD
    public static final boolean DEBUG_RUN_SCENE_LOADER = false; //active trace to m_display URL
    public static final boolean DEBUG_PARSER2 = false;
    public static final boolean DEBUG_BUFFERUNIT_SIZE = false;
    public static final boolean DEBUG_RAW_DATA_RECEIVED = false;

    //PARSING LASeR PACKET and RENDER THREAD
    public static final boolean DEBUG_SHAPE_POLYGON = false;
    public static final boolean DEBUG_BOUNDING_RECT = false;
    public static final boolean DEBUG_PARSER = false;

    public static final boolean DEBUG_BITREADER_TOKEN = false;

    public static final boolean DEBUG_CANVAS_SIZE = false;

    //Animatble
    public static final boolean DEBUG_ANIMATE = false;
}
