/*
 * This software was originally developed by Arnaud Caigniet, Gregory Donias, Jean-Claude Dufourd,
 * Cdric Ggout, Erwann Gouesbet, Elouan LeCoq, Gaetan Lefevre, Nicolas Pierre, Cristian Spiescu
 * and Julien Tranchant (Streamezzo), in the course of development of the ISO/IEC 14496-20
 * (Lightweight Application Scene Representation -LASeR- and Simple Aggregation Format
 * -SAF-) standard for reference purposes and its performance may not have been optimized.
 * This software module is an implementation of one or more tools as specified by the
 * LASeR and SAF standard.
 * ISO/IEC gives users free license to this software module or modifications thereof
 * for use in products claiming conformance to audiovisual and image-coding related
 * ITU Recommendations and/or ISO/IEC International Standards.
 * ISO/IEC gives users the same free license to this software module or modifications
 * thereof for research purposes and further ISO/IEC standardisation.
 * Those intending to use this software module in products are advised that its use may
 * infringe existing patents. ISO/IEC have no liability for use of this software module
 * or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual and
 * image-coding related ITU Recommendations and/or ISO/IEC International Standards.
 * Streamezzo retains full right to modify and use the code for its own purpose,
 * assign or donate the code to a third party and to inhibit third parties from using
 * the code for products that do not conform to audiovisual and image-coding related ITU
 * Recommendations and/or ISO/IEC International Standards.
 * This copyright notice must be included in all copies or derivative works.
 * Copyright (c) ISO/IEC 2004-2007.
 */
package iso.mpeg.streamezzo.player.tool;

public interface IConstants {

    public static final int GENIND_strokeBits = 1;
    public static final int GENIND_stroke = 0;

    public static final int GENIND_fillBits = 2;
    public static final int GENIND_fill = 2;

    public static final int GENIND_stroke_widthBits = 4;
    public static final int GENIND_stroke_width = 12;

    public static final int GENIND_font_sizeBits = 5;
    public static final int GENIND_font_size = 26;
    public static final int GENIND_font_familyBits = 5;
    public static final int GENIND_font_family = 27;

    public static final int GENIND_stop_colorBits = 6;
    public static final int GENIND_stop_color = 56;
    public static final int GENIND_stroke_linejoinBits = 6;
    public static final int GENIND_stroke_linejoin = 57;
    public static final int GENIND_stroke_linecapBits = 6;
    public static final int GENIND_stroke_linecap = 58;

    public static final int GENIND_font_weightBits = 7;
    public static final int GENIND_font_weight = 118;
    public static final int GENIND_fill_ruleBits = 7;
    public static final int GENIND_fill_rule = 119;
    public static final int GENIND_font_styleBits = 7;
    public static final int GENIND_font_style = 120;
    public static final int GENIND_stroke_miterlimitBits = 7;
    public static final int GENIND_stroke_miterlimit = 121;
    public static final int GENIND_viewport_fillBits = 7;
    public static final int GENIND_viewport_fill = 122;
    public static final int GENIND_text_anchorBits = 7;
    public static final int GENIND_text_anchor = 123;
    public static final int GENIND_xml_langBits = 7;
    public static final int GENIND_xml_lang = 124;

    public static final int GENIND_visibilityBits = 8;
    public static final int GENIND_visibility = 250;
    public static final int GENIND_display_alignBits = 8;
    public static final int GENIND_display_align = 251;
    public static final int GENIND_systemLanguageBits = 8;
    public static final int GENIND_systemLanguage = 252;

    public static final int GENIND_fill_opacityBits = 9;
    public static final int GENIND_fill_opacity = 506;
    public static final int GENIND_displayBits = 9;
    public static final int GENIND_display = 507;
    public static final int GENIND_stroke_opacityBits = 9;
    public static final int GENIND_stroke_opacity = 508;
    public static final int GENIND_xml_spaceBits = 9;
    public static final int GENIND_xml_space = 509;

    public static final int GENIND_stop_opacityBits = 11;
    public static final int GENIND_stop_opacity = 2040;
    public static final int GENIND_audio_levelBits = 11;
    public static final int GENIND_audio_level = 2041;

    public static final int GENIND_stroke_dashoffsetBits = 12;
    public static final int GENIND_stroke_dashoffset = 4084;
    public static final int GENIND_colorBits = 12;
    public static final int GENIND_color = 4085;
    public static final int GENIND_stroke_dasharrayBits = 12;
    public static final int GENIND_stroke_dasharray = 4086;
    public static final int GENIND_vector_effectBits = 12;
    public static final int GENIND_vector_effect = 4087;

    public static final int GENIND_classBits = 13;
    public static final int GENIND_class = 8176;
    public static final int GENIND_color_renderingBits = 13;
    public static final int GENIND_color_rendering = 8177;
    public static final int GENIND_externalResourcesRequiredBits = 13;
    public static final int GENIND_externalResourcesRequired = 8178;
    public static final int GENIND_focusableBits = 13;
    public static final int GENIND_focusable = 8179;

    public static final int GENIND_focusEastBits = 14;
    public static final int GENIND_focusEast = 16360;
    public static final int GENIND_focusNextBits = 14;
    public static final int GENIND_focusNext = 16361;
    public static final int GENIND_focusNorthBits = 14;
    public static final int GENIND_focusNorth = 16362;
    public static final int GENIND_focusNorthEastBits = 14;
    public static final int GENIND_focusNorthEast = 16363;
    public static final int GENIND_focusNorthWestBits = 14;
    public static final int GENIND_focusNorthWest = 16364;
    public static final int GENIND_focusPrevBits = 14;
    public static final int GENIND_focusPrev = 16365;
    public static final int GENIND_focusSouthBits = 14;
    public static final int GENIND_focusSouth = 16366;
    public static final int GENIND_focusSouthEastBits = 14;
    public static final int GENIND_focusSouthEast = 16367;
    public static final int GENIND_focusSouthWestBits = 14;
    public static final int GENIND_focusSouthWest = 16368;
    public static final int GENIND_focusWestBits = 14;
    public static final int GENIND_focusWest = 16369;
    public static final int GENIND_font_variantBits = 14;
    public static final int GENIND_font_variant = 16370;
    public static final int GENIND_image_renderingBits = 14;
    public static final int GENIND_image_rendering = 16371;
    public static final int GENIND_line_incrementBits = 14;
    public static final int GENIND_line_increment = 16372;
    public static final int GENIND_pointer_eventsBits = 14;
    public static final int GENIND_pointer_events = 16373;
    public static final int GENIND_requiredExtensionsBits = 14;
    public static final int GENIND_requiredExtensions = 16374;
    public static final int GENIND_requiredFeaturesBits = 14;
    public static final int GENIND_requiredFeatures = 16375;
    public static final int GENIND_requiredFormatsBits = 14;
    public static final int GENIND_requiredFormats = 16376;
    public static final int GENIND_shape_renderingBits = 14;
    public static final int GENIND_shape_rendering = 16377;
    public static final int GENIND_solid_colorBits = 14;
    public static final int GENIND_solid_color = 16378;
    public static final int GENIND_solid_opacityBits = 14;
    public static final int GENIND_solid_opacity = 16379;
    public static final int GENIND_text_renderingBits = 14;
    public static final int GENIND_text_rendering = 16380;
    public static final int GENIND_viewport_fill_opacityBits = 14;
    public static final int GENIND_viewport_fill_opacity = 16381;
    public static final int GENIND_xml_baseBits = 14;
    public static final int GENIND_xml_base = 16382;
    public static final int GENIND_extendBits = 14;
    public static final int GENIND_extend = 16383;
	
    // VLC for element tags
    public final static int samePathCodeBits = 3;
    public final static int samePathCode = 0;
    public final static int samePolylineCodeBits = 3;
    public final static int samePolylineCode = 1;
    public final static int samePolylineFSCodeBits = 3;
    public final static int samePolylineFSCode = 2;
    public final static int textContentCodeBits = 3;
    public final static int textContentCode = 3;

    public final static int gCodeBits = 4;
    public final static int gCode = 8;
    public final static int samePathFSCodeBits = 4;
    public final static int samePathFSCode = 9;
    public final static int samePolygonFSCodeBits = 4;
    public final static int samePolygonFSCode = 10;
    public final static int pathCodeBits = 4;
    public final static int pathCode = 11;

    public final static int textCodeBits = 5;
    public final static int textCode = 24;
    public final static int polylineCodeBits = 5;
    public final static int polylineCode = 25;

    public final static int sameUseCodeBits = 6;
    public final static int sameUseCode = 52;
    public final static int sameGCodeBits = 6;
    public final static int sameGCode = 53;
    public final static int listenerCodeBits = 6;
    public final static int listenerCode = 54;
    public final static int rectCodeBits = 6;
    public final static int rectCode = 55;
    public final static int svgCodeBits = 6;
    public final static int svgCode = 56;

    public final static int sameTextCodeBits = 7;
    public final static int sameTextCode = 114;
    public final static int stopCodeBits = 7;
    public final static int stopCode = 115;
    public final static int animateTransformCodeBits = 7;
    public final static int animateTransformCode = 116;
    public final static int animateCodeBits = 7;
    public final static int animateCode = 117;
    public final static int polygonCodeBits = 7;
    public final static int polygonCode = 118;
    public final static int setCodeBits = 7;
    public final static int setCode = 119;
    public final static int scriptCodeBits = 7;
    public final static int scriptCode = 120;
    public final static int lineCodeBits = 7;
    public final static int lineCode = 121;

    public final static int animateMotionCodeBits = 8;
    public final static int animateMotionCode = 244;
    public final static int samePolygonCodeBits = 8;
    public final static int samePolygonCode = 245;
    public final static int animateColorCodeBits = 8;
    public final static int animateColorCode = 246;
    public final static int aCodeBits = 8;
    public final static int aCode = 247;
    public final static int circleCodeBits = 8;
    public final static int circleCode = 248;
    public final static int ellipseCodeBits = 8;
    public final static int ellipseCode = 249;
    public final static int tspanCodeBits = 8;
    public final static int tspanCode = 250;
    public final static int titleCodeBits = 8;
    public final static int titleCode = 251;
    public final static int useCodeBits = 8;
    public final static int useCode = 252;
    public final static int descCodeBits = 8;
    public final static int descCode = 253;

    public final static int imageCodeBits = 9;
    public final static int imageCode = 508;
    public final static int defsCodeBits = 9;
    public final static int defsCode = 509;
    public final static int linearGradientCodeBits = 9;
    public final static int linearGradientCode = 510;

    public final static int radialGradientCodeBits = 10;
    public final static int radialGradientCode = 1022;

    public final static int cursorCodeBits = 11;
    public final static int cursorCode = 2046;

    public final static int videoCodeBits = 13;
    public final static int videoCode = 8188;
    public final static int switchCodeBits = 13;
    public final static int switchCode = 8189;

    public final static int audioCodeBits = 14;
    public final static int audioCode = 16380;

    public final static int mpathCodeBits = 14;
    public final static int mpathCode = 16381;

    /*public final static int mpathCodeBits = 15;
    public final static int mpathCode = 32762;
    public final static int streamSourceCodeBits = 15;
    public final static int streamSourceCode = 32763;*/
    public final static int foreignObjectCodeBits = 15;
    public final static int foreignObjectCode = 32764;
    public final static int metadataCodeBits = 15;
    public final static int metadataCode = 32765;
    public final static int privateElementCodeBits = 15;
    public final static int privateElementCode = 32766;
    public final static int extendCodeBits = 15;
    public final static int extendCode = 32767;
}
